SessionController Methods

The SessionController type exposes the following members.

Methods
  NameDescription
Public methodDeleteCurrentSession
DELETE /Session/Current Deletes a session.
Public methodDeleteSession
DELETE /Session/{id} Deletes a session.
Public methodDeleteSessionsById
POST /Session/Delete/ Deletes all sessions passed in by ID.
Public methodDeleteSessionsForAccount
DELETE /Session/Account/{id} Deletes all sessions associated with the account ID passed in.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodExecuteAsync (Inherited from ApiControllerBase.)
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Public methodGetSession
GET /Session/{id} Gets information about a session.
Protected methodGetSessionIdFromCookieOrProvided
Gets the session ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodIPAddress
POST /Session/IPAddress/{id} Sets the IP address which should be associated with the specified session.
Public methodIsValid
GET /Session/IsValid/ Gets a value indicating whether the session with the specified ID is valid.
Public methodKeepAlive
PUT /Session/KeepAlive/{0} Keep the current session, or a specified session, alive.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodQueryNumberOfSessions
POST /Session/Count/ Gets the number of sessions that match the filter.
Public methodQuerySessions
POST /Session/Query/ Gets multiple sessions.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodSetCustomAttributes
POST /Session/CustomAttributes/{id} Sets the custom attributes for the specified session ID.
Public methodSetSessionCulture
PUT /Session/Culture/ Updates the current sessions culture.
Top
See Also